package config

import (
	"github.com/zeromicro/go-zero/core/logx"
	"github.com/zeromicro/go-zero/zrpc"
)

type (
	/*
		 Kafka struct {
			Addr            []string
			Topic           string
			ConsumerGroupId string
		}
	*/

	// Config 配置
	Config struct {
		zrpc.RpcServerConf
		Log logx.LogConf
		DB  struct {
			DataSource string
		}

		UserRetriever struct {
			Enabled           bool     // 是否开启
			UpdateDuration    int64    // 用户信息更新最短间隔 单位 h
			NobilityPlatforms []string // 需要获取贵族的平台
			Cron              struct {
				PlatformUser string
				Nobility     string
			}
			Bilibili struct {
				RoomId           int64  // 直播房间号
				Mid              int64  `json:",optional"` // 主播UID 不输入就通过API获取
				RoomShortInfoApi string // 房间简短信息API
				TopListApi       string
			}
		}

		Rank struct {
			Enabled bool // 是否开启
			Cron    struct {
				Update      string // 更新榜单
				Persistence string // 持久化
			}
		}

		GiftCollector struct {
			Enabled   bool     // 是否开启
			Platforms []string // 需搜集的平台
			Cron      struct {
				CollectGift string
			}
		}
		Integral struct {
			RMBToIntegral  float64            // RMB到积分的转换
			GiftToRMB      map[string]float64 // 平台礼物到RMB的转换
			FreeToIntegral map[string]float64 // 平台免费礼物到积分的转换
		}
	}
)
